package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.ClientTypeEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class SysExamSongQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "上传人",required = true)
    private Integer createUserId;

    @ApiModelProperty(value = "声部",required = true)
    private Integer subjectId;

    @ApiModelProperty(value = "类型",required = true)
    private String type;

    @ApiModelProperty(value = "曲库分类",required = true)
    private Integer categoriesId;

    private Integer sysMusicScoreId;

    private Integer parentId;

    private Boolean isShowFingering;

    private ClientTypeEnum clientType;

    private List<Integer> categoriesIdList;

    public List<Integer> getCategoriesIdList() {
        return categoriesIdList;
    }

    public void setCategoriesIdList(List<Integer> categoriesIdList) {
        this.categoriesIdList = categoriesIdList;
    }

    public ClientTypeEnum getClientType() {
        return clientType;
    }

    public void setClientType(ClientTypeEnum clientType) {
        this.clientType = clientType;
    }

    public Boolean getIsShowFingering() {
        return isShowFingering;
    }

    public void setIsShowFingering(Boolean showFingering) {
        isShowFingering = showFingering;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getCategoriesId() {
        return categoriesId;
    }

    public void setCategoriesId(Integer categoriesId) {
        this.categoriesId = categoriesId;
    }

    public Integer getSysMusicScoreId() {
        return sysMusicScoreId;
    }

    public void setSysMusicScoreId(Integer sysMusicScoreId) {
        this.sysMusicScoreId = sysMusicScoreId;
    }

    public Integer getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Integer createUserId) {
        this.createUserId = createUserId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
